org.modeshape.jcr.query.model

## Class FullTextSearch.NegationTerm

- java.lang.Object
- - org.modeshape.jcr.query.model.FullTextSearch.NegationTerm

- All Implemented Interfaces:
    FullTextSearch.Term
  Enclosing class:
    FullTextSearch

      public static class FullTextSearch.NegationTerm
      extends Object
      implements FullTextSearch.Term

  A `FullTextSearch.Term` that represents a search term that requires another term to not appear.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FullTextSearch.NegationTerm(FullTextSearch.Term negatedTerm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `FullTextSearch.Term` | `getNegatedTerm()` Get the term that is negated.
    `int` | `hashCode()`
    `boolean` | `matches(String value)` Checks if the term matches (from a FTS perspective) the given value.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FullTextSearch.NegationTerm

          public FullTextSearch.NegationTerm(FullTextSearch.Term negatedTerm)

  - ### Method Detail

    - #### getNegatedTerm

          public FullTextSearch.Term getNegatedTerm()

      Get the term that is negated.
      Returns:
        the negated term; never null

    - #### matches

          public boolean matches(String value)

      Description copied from interface: `FullTextSearch.Term`
      Checks if the term matches (from a FTS perspective) the given value.
      Specified by:
        `matches` in interface `FullTextSearch.Term`
      Parameters:
        `value` - a non-null string
      Returns:
        `true` if the term matches the value, `false` otherwise

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.